/*nav bare */
body{
    
    margin: 0;
    padding: 0;
}
/*Class standard*/
.container{

    padding-top: 40px;
    padding-right:100px;
    padding-left: 100px;
    margin-right: auto;
    margin-left: auto;
}

.text-center{
    text-align: center;
    border-bottom: 1px solid #f1f1f1;
}

a{
     font-family: 'Source Sans Pro', sans-serif;
    text-decoration: none;
    color: inherit;
    font-weight: 400;
    font-size: 14px;
    font-size: 1.1rem;

 }
 p{
     font-family: 'EB Garamond', serif; 
     font-size: 1.1rem;
}
img{
    max-width: 100%;
  max-width: 100%;
  height: auto;
}
 


 


/*la page base*/
.fa, .far, .fas, .fab{
    font-size: 30px;
     color: rgb(252, 93, 180);
    
     height:50px;
     width:50px;
     border-radius:50px;
     text-align: center;
} 

.logo{
    margin-right: 40px;
    margin-left: 40px;
    padding-right: 0px;
    padding-left: 0px;
    position: relative;  
     
}
 
 #fleure{
    color: #e9b5b5;
}


.nav{
    width: 100%;
    height: 30px;
    padding-bottom: 10px;
    background-color: white;
    
}
 #menu-nav{
    display: flex;    
    list-style: none; 
    justify-content: space-between;   
     text-align: center;
     margin-left: 150px;
     margin-right: 150px;

}

.menu-item {
    position: relative;  
}
 
 #menu-nav li:hover .sous-menu > li{
     display: flex;
     top: 10px;
     left: 10px;
      
     background-color: white;
      
     
 }

 .sous-menu li {
     display: none;
     position: absolute;
     top: 0px;
     
    
 }

 .sous-menu{
     list-style: none;
     margin-top: 0px;
}

.sous-menu li {
     position: relative;
     
 }
.sous-menu li a {
  
    border-bottom: 1px solid gray;
    padding-top: 10px;
    padding-left: 7px;
    padding-right: 50px;
    padding-bottom: 7px;
 }

.sous-menu li a:hover{
    
     width: 100%;
 }


/*home page */
.slider-Img{
     height: 450px;
     width: 100%;
}
.contenu{
 
    font-size: 1rem;
    font-family: 'Source Sans Pro', sans-serif;
    padding-top: 40px;
    padding-right:400px;
    padding-left: 400px;
    margin-right: auto;
    margin-left: auto;
}
#slider-titre {
    font-family: 'Playfair Display', sans-serif;
    font-size: 40px;
    line-height: 50px;
    font-weight: 700;     
    text-align: center;
     margin-top: -350px;
    font-weight: bold;
 
}

.slider-p{
     font-size: 1rem;
 }

.home-titre{
    /* font-family: 'Calistoga', cursive; */
    margin: 50px;
}

.home-p{
     font-size: 1.2rem;
     padding-bottom: 20px;
     padding-top: 10px;

 }
.grid{
    margin-top: 100px;
     display: grid;
     height: 600px;
     grid-template-columns: 1fr 1fr 1fr;
     grid-template-rows: auto;
     grid-template-areas: 'grid-item-a grid-item-b grid-item-c'
                          'grid-item-a grid-item-d grid-item-d ';

 } 

 .grid-box{
        box-shadow: 0 0 30px rgba(0,0,0,.3);
 }


.grid-item-a{
      padding-top: 0px;
      background-size: cover;
     grid-area: grid-item-a ;
     /*Image par 
     <a href="https://pixabay.com/fr/users/lebastias-153092/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=263234">
     Luis Eduardo Bastias</a> 
     de <a href="https://pixabay.com/fr/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=263234">Pixabay</a>*/
    background-image: url(/image/flower-3175428_640.jpg);
    background-position: right;
    max-width: 100%;
    max-height: 100%;
     background-repeat: no-repeat;

 }
 .grid-item-b{
    grid-area: grid-item-b ;
    background-image: url(../image/pink-roses-2533389_640.jpg);
    background-position: center;
    background-size: cover;
       display: flex;
}
.grid-item-c{
    grid-area: grid-item-c ;
    background-size: cover;
   background-image: url(/image/rose-3506327_640.jpg);
   background-position: bottom;
  
}

.grid-item-d{
    grid-area: grid-item-d ;
    background-size: cover;
    /*Image par <a href="https://pixabay.com/fr/users/pixel2013-2364555/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=4072214">S. Hermann &amp; F. Richter</a> de <a href="https://pixabay.com/fr/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=4072214">Pixabay</a>*/
    background-image: url(/image/tulips-.jpg);
    background-position: top;
   
   
} 

.hom-container{
    background-color: #f5f5f5;
    margin: 100px auto;
 
   
     
}
#border-radius{
    padding: 50px;
}

#border{
    max-width: 100%;
 
    position: relative;
    margin: 0 auto;
    border:0px solid #f5f5f5;
   padding-bottom: 30px;
    
     
}

#border:before {
    content: "";
    width: 30px;
    height: 30px;
    position: absolute;
    background-color: white;
    border-bottom: 6px solid #f5f5f5;
    top: -10;
    left: -10;
    overflow: hidden;
    border-radius: 0 0 100% 0;
}

#border:after{
    content: "";
    width: 30px;
    height: 30px;
    background-color: white;
    
    position: absolute;
    right: -10;
    top: -10;
    border-radius: 0 100% 0 0;
}
 
  

  


.home-article{
    font-family: 'Times New Roman', Times, serif;
    font-size: 1.2rem;
    margin-left: 40px;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;   
    max-height: 700px;
     margin-top: 150px;
      
}







.flex-column {
    
    display: flex; 
    flex-direction: column;
}

.btn{

    border: 0;
    line-height: 2.5;
    padding: 0 20px;
    font-size: 1rem;
    text-align: center;
   cursor: pointer;
    text-shadow: 1px 1px 1px #000;
    border-radius: 10px;
    width: 200px;
    margin-left: auto;
    margin-right: auto;
  
}

.article-images{
   
    /* -moz-box-shadow: -10px 10px 4px #656565;
    -webkit-box-shadow: -10px 10px 4px #656565;
    -o-box-shadow: -10px 10px 4px #656565;
    box-shadow: -10px 10px 4px #656565; */
     
     box-shadow: 0 0 30px rgba(0,0,0,.2);
     width: 550px;
     margin-top: -350px;
     display: flex;
     height: 350px;
     margin-left: 50px;
}



.btn-1{
    background-color: #E4C04A;
    color: white;
}
.btn-2{
    background-color: #E11D2C;
    color: white;
}

.btn-3{
    background-color: #E5C1C5;
    color: black;
}

.buttonColor{
    background-color: #EFC9C1;
    margin-right: 0px;
    background-attachment: scroll ;
}












/*Footer code*/
.footeer{  
   font-weight: bold;
    margin-top: 150px;    
    background-color:#A59AA0;
}

.footer-flex{
    display: flex;
    flex-direction: row;
    padding: 60px;
    padding-left: 10px;
   
}
.aboutMe{
    flex: 1; 
    padding-left: 50px;
    
}
.footer-flex h2{
    text-align: center;
}

.footer-blok{
    display: flex;
    flex-direction: row;
}

 .point{
    height: 30px;
    margin: 10px;
    width: 30px;
    border-radius: 30px;  
    background-color: #EFC9C1;

 }

.contact{
    flex: 1;
    padding-left: 50px;
}

.test{
    flex: 1;
    padding-left: 50px;
}
 
.point:hover{
    background-color: #E89473;
    height: 45px;
    margin: 10px;
    width: 45px;
    border-radius: 45px;
}

.copyright{
    background-color: #f0cccc;
    padding: 15px;
    color: black;
}
 







 
 /*la page de red flower*/

 .red-flower-blok{
    display: flex;
    flex-direction: row;     
    padding: 10px;
    margin-top: 60px;
    
    
}

.blok-icon{
    display: flex;
    flex-direction: row;
    justify-content: center;
    justify-content: space-around;
    width: 100%;
    margin-bottom: 100px;
}

.icon-flex{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    justify-content: space-between;
    padding: 17px;
     
    
}
.icon-flex p {
    text-align: center;
    padding-bottom: 10px
}
#tail{
    font-size: 25px;
    color: red;
 }
 .bouton a{
    font-family: 'Playfair Display', sans-serif;
    font-weight: bold;
    font-size: 1.3rem;
 }

 #readMore{
    
     margin-bottom: -10px;
 }
.bouton  {
    
    margin-left: 87%; 
    border-radius: 12px 0 12px 0;
    border-radius: 20px 0px 20px 0px;
    display:block;
    width:150px;
     line-height:40px;
    text-align:center;
     color:black;
    text-decoration:none;
    }

 #color{
     color: red;
 }

 .redbouton{
     background-color: red;
 }

.redcontext-Flower{
    height: 100px;
}




/*pink flower */

#pinkcolor{
    color: #F87277;
}

.pinkbutton{
    background-color: #f0cccc;
}

#imagerond{
    border-radius: 200px;
height: 300px;
width: 300px;
}
#imagerond:hover{
    background-image: url(/image/tulips-.jpg);
}

#iconn{
    color: #F87277;
}

.image-container{
 position: relative;
}

.animation{
    position: absolute;
    top: 0px;
    left: 0px;
    opacity: 0;
}

.animation:hover{
    opacity: 1;
}





/*Yellox flower*/
.yellow-color{
 
    background-color: rgb(252, 195, 10);
}

.yelow-blok{
    display:flex;
    flex-direction: row;
    justify-content: space-around;
}
#fontaws{
    font-size: 30px;
    color: #A65D03;
    background-color: #F2D230;
    height:50px;
    padding-top: 4px;
    padding-bottom: -4px;
    width:50px;
    border-radius:50px;
    text-align: center; 
}

.yellcolor{
    color: #A65D03;
}

.button-color{
    background-color: #F2D230;
    border-radius: 20px 0px 20px 0px;
}





/*Test code*/


#ul{
    list-style: none;
    padding: 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 20px;
    justify-content: center;
    align-items: center;
    justify-content: space-between;

}


#ul li{
    list-style: none;
    display: inline-block;
    border: 1px solid #8C0428;
    width: 250px;
    color: white;
    margin-top: 20px;
    padding: 15px 40px;
    text-align: center;
    cursor: pointer;
    border-radius: 4px;
    font-size: 1.2rem;
    background-color:  #5A304E;
}

#ul li.correct{
    background-color: #0fd40f;
    color: black;
    border: none;
    font-size: 1.3rem;
}

#ul li.incorrect{
    background-color: #8C0428;
    font-size: 1.3rem;
}
.carrou{
    
    padding-bottom: 50px;
   border: 1px solid #5A304E;
   width: 750px;
    margin: 20px auto;
    padding: 5px;
    border-radius:30px;
    align-items: center;
    background-color: rgb(240, 183, 224);
     
}


#quizQuestions{
    padding: 12px;
    font-size: 1.8rem;
    background-color: #5A304E;
    border-radius: 4px;
    color: white;
    text-align: center;
}

#quizImage img {
    height: 250px;
    width: 100%;
    
}



.container .score{
    float: left;
    width: 100%;

}

.container .score .next{
    width: 40%;
    float: left;
}

.container .score .next button{
    padding: 10px 40px;
    color: white;
    background-color: #8C0428;
    border-radius: 8px;
    border: none;
    cursor: pointer;
 
    margin-top: 20px;
    margin-left: -120px;

}

.container .score .next button:hover{
    border: 2px solid gray ;
}

.container .score .score-card{
    width: 60%;
    text-align: center;
    color: black;
    text-transform: uppercase;
    font-size: 1.4rem;
    margin-top: 20px;
    margin-left: 250px;
} 
.container .score .score-card span{
    line-height: 50px;
   
}




.sous-carrou{
    height: 600px;

   text-align: center;
  
}



 
.bgr-image-test{
    background-image: url(/image/threee.jpg);
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    overflow: hidden;
    
    
}

 
 
.box{
  
    
    margin: 20px 400px;
    width: 150px;
    height: 60px;

    padding: 10px;
}

.sous-box{
    max-width: 300px;

    position: relative;
    margin: 0 auto;

    border-radius: 20px;
     
}

.sous-box:before {
    content: "";
    width: 16px;
    height: 16px;
    position: absolute;
    background-color: #E7DADB;
    top: 0;
    left: 0;
    opacity: 0.6;
    border-radius: 0 0 200% 0; 
     
}


.sous-box:after {
    content: "";
    width: 16px;
    height: 16px;
    position: absolute;
    background-color: #E7DADB;
    
    top: 0;
    right: 0;
    opacity: 0.6;
    border-radius: 0 0   0 200%; 
}
  
.sou-sou-box:before{
    content: "";
    width: 16px;
    height: 16px;
    position: absolute;
    background-color: #E7DADB;
   
    opacity: 0.6;
    bottom: 0;
    right: 0;
    border-radius: 200% 0 0 0;
    overflow: hidden;
}

.sou-sou-box:after{
    content: "";
    width: 16px;
    height: 16px;
    position: absolute;
    background-color: #E7DADB;
     

    opacity: 0.6;
    bottom: 0;
    left: 0;
    border-radius: 0 200% 0 0;
    overflow: hidden;
}


.buttton{

    padding: 11px;
    width: 100%;
    border: none;
    background-color: #5A304E;
    color: white;
    cursor: pointer;
     
}






 @media (max-width: 970px){
    .spFlex{
        
        display: grid;
        /* width: 400px; */
       
        /* grid-template-columns: 1fr  ;
        grid-template-rows: 1fr ;
        */
        
        
     }

     .sp{
         width: 25px;
         height: 25px;
         border-radius: 25px;
        
    
     }
    
     .containner{
         
         padding-top: 50px;
         padding-right: 20px;
         padding-left: 70px;
         margin-right: auto;
         margin-left: auto;
     }
    
 }

 

 

 


/*  
.blue i{
    color: rgb(75, 75, 230);
    font-size: 20px;
   
}

  */

 



 


 
 
 

 

/*base*/
 

 


/*Button*/

 

 /*Show more in javascript*/
 /* #readMore{
  
   
    padding: 0px 20px 20px 20px; 
    max-height: 15px;
    overflow: hidden;
    text-align: center;
    -webkit-transition: max-height 0.8s;
    -moz-transition: max-height 0.8s;
    transition: max-height 0.8s;
    display: none;
}

#contenu.open{
    max-height: 1000px;
}

#showMore{
    text-align: center;
    margin: 0 auto;
    padding: 7px;
   
    color: white;
    cursor: pointer;
    border-radius: 3px;
    -webkit-transition: max-height 0.9s;
    -moz-transition: max-height 0.9s;
    transition: max-height 0.9s;
    
}
#readless {
       box-shadow: 0 0 30px rgba(0,0,0,.3);
       padding-left: 10px;
       padding-right: 10px;
       padding-top: 10px;
       padding-bottom: 20px;
       border-radius: 20px;
}
  */
